[ovs-dev,branch-2.10] dpdk: Use DPDK 17.11.6 release.
diff mbox series

Message ID 20190902073455.2043-1-lukaszx.pawlik@intel.com
State New
Headers show
Series
  • [ovs-dev,branch-2.10] dpdk: Use DPDK 17.11.6 release.
Related show

Commit Message

Lukasz Pawlik Sept. 2, 2019, 7:34 a.m. UTC
Modify travis linux build script to use the latest DPDK stable release
17.11.6. Update docs for latest DPDK stable releases.

Signed-off-by: Lukasz Pawlik <lukaszx.pawlik@intel.com>
---
 .travis/linux-build.sh                   | 2 +-
 Documentation/faq/releases.rst           | 4 ++--
 Documentation/intro/install/dpdk.rst     | 8 ++++----
 Documentation/topics/dpdk/vhost-user.rst | 6 +++---
 NEWS                                     | 2 ++
 5 files changed, 12 insertions(+), 10 deletions(-)

Patch
diff mbox series

diff --git a/.travis/linux-build.sh b/.travis/linux-build.sh
index 1fe5bbf..ede62a5 100755
--- a/.travis/linux-build.sh
+++ b/.travis/linux-build.sh
@@ -83,7 +83,7 @@  fi
 
 if [ "$DPDK" ]; then
     if [ -z "$DPDK_VER" ]; then
-        DPDK_VER="17.11.4"
+        DPDK_VER="17.11.6"
     fi
     install_dpdk $DPDK_VER
     if [ "$CC" = "clang" ]; then
diff --git a/Documentation/faq/releases.rst b/Documentation/faq/releases.rst
index 216eb30..8fe16d9 100644
--- a/Documentation/faq/releases.rst
+++ b/Documentation/faq/releases.rst
@@ -167,8 +167,8 @@  Q: What DPDK version does each Open vSwitch release work with?
     2.6.x        16.07.2
     2.7.x        16.11.8
     2.8.x        17.05.2
-    2.9.x        17.11.4
-    2.10.x       17.11.4
+    2.9.x        17.11.6
+    2.10.x       17.11.6
     ============ =======
 
 Q: Are all the DPDK releases that OVS versions work with maintained?
diff --git a/Documentation/intro/install/dpdk.rst b/Documentation/intro/install/dpdk.rst
index 13546bb..5f39263 100644
--- a/Documentation/intro/install/dpdk.rst
+++ b/Documentation/intro/install/dpdk.rst
@@ -42,7 +42,7 @@  Build requirements
 In addition to the requirements described in :doc:`general`, building Open
 vSwitch with DPDK will require the following:
 
-- DPDK 17.11.4
+- DPDK 17.11.6
 
 - A `DPDK supported NIC`_
 
@@ -71,9 +71,9 @@  Install DPDK
 #. Download the `DPDK sources`_, extract the file and set ``DPDK_DIR``::
 
        $ cd /usr/src/
-       $ wget http://fast.dpdk.org/rel/dpdk-17.11.4.tar.xz
-       $ tar xf dpdk-17.11.4.tar.xz
-       $ export DPDK_DIR=/usr/src/dpdk-stable-17.11.4
+       $ wget http://fast.dpdk.org/rel/dpdk-17.11.6.tar.xz
+       $ tar xf dpdk-17.11.6.tar.xz
+       $ export DPDK_DIR=/usr/src/dpdk-stable-17.11.6
        $ cd $DPDK_DIR
 
 #. (Optional) Configure DPDK as a shared library
diff --git a/Documentation/topics/dpdk/vhost-user.rst b/Documentation/topics/dpdk/vhost-user.rst
index 6334590..c5fe9ee 100644
--- a/Documentation/topics/dpdk/vhost-user.rst
+++ b/Documentation/topics/dpdk/vhost-user.rst
@@ -320,9 +320,9 @@  To begin, instantiate a guest as described in :ref:`dpdk-vhost-user` or
 DPDK sources to VM and build DPDK::
 
     $ cd /root/dpdk/
-    $ wget http://fast.dpdk.org/rel/dpdk-17.11.4.tar.xz
-    $ tar xf dpdk-17.11.4.tar.xz
-    $ export DPDK_DIR=/root/dpdk/dpdk-stable-17.11.4
+    $ wget http://fast.dpdk.org/rel/dpdk-17.11.6.tar.xz
+    $ tar xf dpdk-17.11.6.tar.xz
+    $ export DPDK_DIR=/root/dpdk/dpdk-stable-17.11.6
     $ export DPDK_TARGET=x86_64-native-linuxapp-gcc
     $ export DPDK_BUILD=$DPDK_DIR/$DPDK_TARGET
     $ cd $DPDK_DIR
diff --git a/NEWS b/NEWS
index 064550b..92c3f81 100644
--- a/NEWS
+++ b/NEWS
@@ -4,6 +4,8 @@  v2.10.3 - xx xxx xxxx
 v2.10.2 - 30 Mar 2019
 --------------------
    - Bug fixes
+   - DPDK
+    * OVS validated with DPDK 17.11.6 which is recommended to be used.
 
 v2.10.1 - 19 Oct 2018
 --------------------